> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Membership

> Lists all groups and roles for an entity



## OpenAPI

````yaml /services/playfab/api-references/rest/groups/groups.openapi.json post /Group/ListMembership
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Groups API
  description: >-
    The Groups API is designed for any permanent or semi-permanent collections
    of Entities (players, or non-players). If you want to make
    Guilds/Clans/Corporations/etc., then you should use groups. Groups can also
    be used to make chatrooms, parties, or any other persistent collection of
    entities.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Groups
    description: Groups Management APIs
paths:
  /Group/ListMembership:
    post:
      tags:
        - Groups
      summary: List Membership
      description: Lists all groups and roles for an entity
      operationId: ListMembership
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListMembershipRequest'
        description: >-
          Lists the groups and roles that an entity is a part of, checking to
          see if group and role metadata and memberships should be visible to
          the caller. If the entity is not in any roles that are visible to the
          caller, the group is not returned in the results, even if the caller
          otherwise has permission to see that the entity is a member of that
          group.
      responses:
        '200':
          $ref: '#/components/responses/ListMembershipResponse'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    ListMembershipRequest:
      description: >-
        Lists the groups and roles that an entity is a part of, checking to see
        if group and role metadata and memberships should be visible to the
        caller. If the entity is not in any roles that are visible to the
        caller, the group is not returned in the results, even if the caller
        otherwise has permission to see that the entity is a member of that
        group.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        Entity:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: >-
            The optional entity to perform this action on. Defaults to the
            currently logged in entity.
      example: {}
    EntityKey:
      description: >-
        Combined entity type and ID structure which uniquely identifies a single
        entity.
      type: object
      properties:
        Id:
          description: Unique ID of the entity.
          type: string
        Type:
          description: >-
            Entity type. See
            https://learn.microsoft.com/gaming/playfab/features/data/entities/available-built-in-entity-types
          type: string
      required:
        - Id
    ListMembershipResponse:
      type: object
      properties:
        Groups:
          description: The list of groups
          type: array
          items:
            $ref: '#/components/schemas/GroupWithRoles'
          x-isclass: true
      example:
        Groups:
          - GroupName: Example Group
            Group:
              Id: ABC1234ABC
            ProfileVersion: 17
            Roles:
              - RoleName: Example Role
                RoleId: ABC123DEF
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    GroupWithRoles:
      description: Describes a group and the roles that it contains
      type: object
      properties:
        Group:
          allOf:
            - $ref: '#/components/schemas/EntityKey'
          description: ID for the group
        GroupName:
          description: The name of the group
          type: string
        ProfileVersion:
          description: >-
            The current version of the profile, can be used for concurrency
            control during updates.
          type: number
          x-actualtype: int32
        Roles:
          description: The list of roles within the group
          type: array
          items:
            $ref: '#/components/schemas/GroupRole'
          x-isclass: true
      required:
        - ProfileVersion
    GroupRole:
      description: Describes a group role
      type: object
      properties:
        RoleId:
          description: ID for the role
          type: string
        RoleName:
          description: The name of the role
          type: string
      example:
        RoleName: Example Role
        RoleId: ABC123DEF
  responses:
    ListMembershipResponse:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/ListMembershipResponse'
            example:
              code: 200
              status: OK
              data:
                Groups:
                  - GroupName: Example Group
                    Group:
                      Id: ABC1234ABC
                    ProfileVersion: 17
                    Roles:
                      - RoleName: Example Role
                        RoleId: ABC123DEF
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [List Membership](/services/playfab/api-references/rest/groups/groups/list-membership.md)
- [List Membership Opportunities](/api-reference/groups/list-membership-opportunities.md)
- [PFGroupsListMembershipRequest](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupslistmembershiprequest.md)
- [PFGroupsListMembershipAsync](/services/playfab/api-references/c/pfgroups/functions/pfgroupslistmembershipasync.md)
- [PFGroupsListMembershipResponse](/services/playfab/api-references/c/pfgroupstypes/structs/pfgroupslistmembershipresponse.md)
